# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'NG1BuildHelpers/version'

Gem::Specification.new do |spec|
  spec.name          = "NG1BuildHelpers"
  spec.summary       = "Helpers for performing build tasks and integrations"
  spec.version       = NG1BuildHelpers::VERSION
  spec.authors       = ["NG1"]
  spec.email         = ["kristen.morgan@natgeo.com"]
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'OptionParser', '~> 0.5.1'
  spec.add_runtime_dependency 'rest-client', '~> 2.0.2'

  spec.add_development_dependency "bundler", "~> 1.9"
  spec.add_development_dependency "rake", "~> 10.0"
end
